Page 1 of 1

which xampp to choose?

PostPosted: 04. November 2018 20:50
by papadrupal
I am getting error when importing drupal database into xampp so I decided to install new version of xampp..

but there are 4 versions....so which one should i choose?

I have 3.2.2 version installed right now....

Re: which xampp to choose?

PostPosted: 04. November 2018 22:54
by Altrea
choose the version fitting the requirements best.
This is highly dependend on your own and your applications needs.

P.S.: There is no v3.2.2. This version number is only relevant for the XAMPP component XAMPP control panel.

Re: which xampp to choose?

PostPosted: 04. November 2018 22:55
by papadrupal
if I choose too high maybe then older sites will not be compatible right?
And also why do I always have to set the limits to 1024 in php.ini and my.ini....
why cant you guys set it higher?

Re: which xampp to choose?

PostPosted: 04. November 2018 23:01
by Altrea
papadrupal wrote:if I choose too high maybe then older sites will not be compatible right?

too high or too low is equal. Each webapplication has very specific needs.

papadrupal wrote:And also why do I always have to set the limits to 1024 in php.ini and my.ini....
why cant you guys set it higher?

XAMPP cannot decide which values you need. Therefore XAMPP is designed to run on even the lowest hardware specs.

Re: which xampp to choose?

PostPosted: 04. November 2018 23:02
by papadrupal
so can I install 4 different versions? Or is that not possible? It would be nice if you could make a switch to change php version on he fly like acquia dev desktop has

Re: which xampp to choose?

PostPosted: 04. November 2018 23:07
by Altrea
Technically, yes. You can install multiple XAMPP versions side by side. But there are some limitations:
- you cannot run more than one installation simultaniously with the default configuration because all use the same ports
- you cannot set and use windows services with the default configuration because all use the same service names
- you should use the zip versions instead of the installer versions.

papadrupal wrote:It would be nice if you could make a switch to change php version on he fly like acquia dev desktop has

Such switches would made the building process much more complicated, so this will not happen.
If this is a must have feature than maybe XAMPP is not the best bundle for you.